# unordered_set File Reference

## Detailed Description

This is a TR1 C++ Library header.

Definition in file unordered_set.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1

## Classes

- class std::tr1::unordered_multiset< _Value, _Hash, _Pred, _Alloc, __cache_hash_code >
- class std::tr1::unordered_set< _Value, _Hash, _Pred, _Alloc, __cache_hash_code >

## Defines

- #define _TR1_UNORDERED_SET

## Functions

- template<class _Value, class _Hash, class _Pred, class _Alloc, bool __cache_hash_code> void std::tr1::swap (unordered_multiset< _Value, _Hash, _Pred, _Alloc, __cache_hash_code > &__x, unordered_multiset< _Value, _Hash, _Pred, _Alloc, __cache_hash_code > &__y)
- template<class _Value, class _Hash, class _Pred, class _Alloc, bool __cache_hash_code> void std::tr1::swap (unordered_set< _Value, _Hash, _Pred, _Alloc, __cache_hash_code > &__x, unordered_set< _Value, _Hash, _Pred, _Alloc, __cache_hash_code > &__y)